moeoStochTournamentSelect(3)

NAME
moeoStochTournamentSelect - Selection strategy that selects ONE individual by stochastic tournament.

SYNOPSIS

#include <moeoStochTournamentSelect.h>

Inherits moeoSelectOne< MOEOT >< MOEOT >.

  Public Member Functions
moeoStochTournamentSelect (moeoComparator< MOEOT > &_comparator, double _tRate=1.0)
Full Ctor.
moeoStochTournamentSelect (double _tRate=1.0)
Ctor without comparator.
const MOEOT & operator() (const eoPop< MOEOT > &_pop)
Apply the tournament to the given population.

  Protected Attributes
moeoComparator< MOEOT > & comparator
the diversity assignment strategy
double tRate
the tournament rate

Detailed Description

  template<class MOEOT> class moeoStochTournamentSelect< MOEOT >
Selection strategy that selects ONE individual by stochastic tournament.

Definition at line 22 of file moeoStochTournamentSelect.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoStochTournamentSelect< MOEOT >::moeoStochTournamentSelect (moeoComparator< MOEOT > & _comparator, double _tRate = 1.0) [inline]

Full Ctor.

Parameters:
    _comparator the comparator (used to compare 2 individuals)
    _tRate the tournament rate

Definition at line 31 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::tRate.

  template<class MOEOT> moeoStochTournamentSelect< MOEOT >::moeoStochTournamentSelect (double _tRate = 1.0) [inline]

Ctor without comparator.

A moeoFitnessThenDiversityComparator is used as default.

Parameters:
    _tRate the tournament rate

Definition at line 54 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::tRate.

Member Function Documentation

  template<class MOEOT> const MOEOT& moeoStochTournamentSelect< MOEOT >::operator() (const eoPop< MOEOT > & _pop) [inline]

Apply the tournament to the given population.

Parameters:
    _pop the population

Definition at line 79 of file moeoStochTournamentSelect.h.

References moeoStochTournamentSelect< MOEOT >::comparator, and moeoStochTournamentSelect< MOEOT >::tRate.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.